#include <iostream>

using namespace std;

void sorted(long long int a[],int k)
{
    long long int p;
    for(int i=0;i<k-1;i++)
    {
        for(int j=i+1;j<k;j++)
        {
            if(a[i]>a[j])
            {
                p=a[i];
                a[i]=a[j];
                a[j]=p;
            }
        }
    }
}

int main()
{
    long long int n;
    int k;
    cin>>n>>k;
    long long int a[k];
    for(int i=0;i<k;i++)
    {
        cin>>a[i];
    }
    long long int b[k];
    //sorted(a,k);
    for(int i=0;i<k;i++)
    {
        b[i]=0;
        for(int j=0;j<k;j++)
        {
            if(a[i]%a[j]==0)
            {
                b[i]=b[i]^a[j];
            }
        }
    }
    for(int i=0;i<k;i++)
    {
        cout<<b[i]<<' ';
    }
    cout<<endl;
}